# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, ... }:
with pkgs;

testEnv.mkTest {
  name = "pci";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./pci.dhall;
  testInputs =
    (map pkgs.genodeSources.depot [ "acpi_drv" "platform_drv" "report_rom" ])
    ++ (map pkgs.genodeSources.make [ "test/pci" ]);
  testScript = ''
    run_genode_until ".*--- Platform test finished ---.*\n" 60
  '';
}
